/*
 * Sone - PostPart.java - Copyright © 2011–2013 David Roden
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.pterodactylus.sone.text;

import net.pterodactylus.sone.data.Post;

/**
 * {@link Part} implementation that stores a reference to a {@link Post}.
 *
 * @author <a href="mailto:bombe@pterodactylus.net">David ‘Bombe’ Roden</a>
 */
public class PostPart implements Part {

	private final Post post;
	private final boolean usesDeprecatedLink;

	public PostPart(Post post) {
		this(post, false);
	}

	public PostPart(Post post, boolean usesDeprecatedLink) {
		this.post = post;
		this.usesDeprecatedLink = usesDeprecatedLink;
	}

	public Post getPost() {
		return post;
	}

	public boolean usesDeprecatedLink() {
		return usesDeprecatedLink;
	}

	@Override
	public String getText() {
		return post.getText();
	}

}
